libvisio::VSDXTheme Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libvisio::VSDXTheme Class Reference

`#include <VSDXTheme.h>`

## Public Member Functions
| VSDXTheme ()
| ~VSDXTheme ()
bool | parse (librevenge::RVNGInputStream *input)
boost::optional< Colour > | getThemeColour (unsigned value, unsigned variationIndex=0) const
boost::optional< Colour > | getFillStyleColour (unsigned value) const

## Private Member Functions
| VSDXTheme (const VSDXTheme &)
VSDXTheme & | operator= (const VSDXTheme &)
boost::optional< Colour > | readSrgbClr (xmlTextReaderPtr reader)
boost::optional< Colour > | readSysClr (xmlTextReaderPtr reader)
void | readClrScheme (xmlTextReaderPtr reader)
bool | readThemeColour (xmlTextReaderPtr reader, int idToken, Colour &clr)
void | readVariationClrSchemeLst (xmlTextReaderPtr reader)
void | readVariationClrScheme (xmlTextReaderPtr reader, VSDXVariationClrScheme &varClrSch)
void | readFontScheme (xmlTextReaderPtr reader)
void | readFont (xmlTextReaderPtr reader, int idToken, VSDXFont &font)
bool | readTypeFace (xmlTextReaderPtr reader, librevenge::RVNGString &typeFace)
bool | readTypeFace (xmlTextReaderPtr reader, int &script, librevenge::RVNGString &typeFace)
void | readFmtScheme (xmlTextReaderPtr reader)
void | readFillStyleLst (xmlTextReaderPtr reader)
int | getElementToken (xmlTextReaderPtr reader)
void | skipUnimplemented (xmlTextReaderPtr reader, int idToken)

## Private Attributes
VSDXClrScheme | m_clrScheme
VSDXFontScheme | m_fontScheme
std::vector< boost::optional< Colour > > | m_fillStyleLst

## Constructor & Destructor Documentation

## ◆ VSDXTheme() [1/2]

libvisio::VSDXTheme::VSDXTheme | ( |  | ) |

Referenced by operator=(), and VSDXTheme().

## ◆ ~VSDXTheme()

libvisio::VSDXTheme::~VSDXTheme | ( |  | ) |

## ◆ VSDXTheme() [2/2]

libvisio::VSDXTheme::VSDXTheme | ( | const VSDXTheme & |  | ) |
| private

## Member Function Documentation

## ◆ getElementToken()

int libvisio::VSDXTheme::getElementToken | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by parse(), readClrScheme(), readFillStyleLst(), readFmtScheme(), readFont(), readFontScheme(), readSrgbClr(), readSysClr(), readThemeColour(), readVariationClrScheme(), readVariationClrSchemeLst(), and skipUnimplemented().

## ◆ getFillStyleColour()

boost::optional< libvisio::Colour > libvisio::VSDXTheme::getFillStyleColour | ( | unsigned | value | ) | const

## ◆ getThemeColour()

boost::optional< libvisio::Colour > libvisio::VSDXTheme::getThemeColour | ( | unsigned | value,
|  | unsigned | variationIndex = 0 ) const

## ◆ operator=()

VSDXTheme & libvisio::VSDXTheme::operator= | ( | const VSDXTheme & |  | ) |
| private

## ◆ parse()

bool libvisio::VSDXTheme::parse | ( | librevenge::RVNGInputStream * | input | ) |

## ◆ readClrScheme()

void libvisio::VSDXTheme::readClrScheme | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by parse().

## ◆ readFillStyleLst()

void libvisio::VSDXTheme::readFillStyleLst | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by readFmtScheme().

## ◆ readFmtScheme()

void libvisio::VSDXTheme::readFmtScheme | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by parse().

## ◆ readFont()

void libvisio::VSDXTheme::readFont | ( | xmlTextReaderPtr | reader,
|  | int | idToken,
|  | VSDXFont & | font )
| private

Referenced by readFontScheme().

## ◆ readFontScheme()

void libvisio::VSDXTheme::readFontScheme | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by parse().

## ◆ readSrgbClr()

boost::optional< libvisio::Colour > libvisio::VSDXTheme::readSrgbClr | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by readThemeColour().

## ◆ readSysClr()

boost::optional< libvisio::Colour > libvisio::VSDXTheme::readSysClr | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by readThemeColour().

## ◆ readThemeColour()

bool libvisio::VSDXTheme::readThemeColour | ( | xmlTextReaderPtr | reader,
|  | int | idToken,
|  | Colour & | clr )
| private

Referenced by readClrScheme(), readFillStyleLst(), and readVariationClrScheme().

## ◆ readTypeFace() [1/2]

bool libvisio::VSDXTheme::readTypeFace | ( | xmlTextReaderPtr | reader,
|  | int & | script,
|  | librevenge::RVNGString & | typeFace )
| private

## ◆ readTypeFace() [2/2]

bool libvisio::VSDXTheme::readTypeFace | ( | xmlTextReaderPtr | reader,
|  | librevenge::RVNGString & | typeFace )
| private

Referenced by readFont(), and readTypeFace().

## ◆ readVariationClrScheme()

void libvisio::VSDXTheme::readVariationClrScheme | ( | xmlTextReaderPtr | reader,
|  | VSDXVariationClrScheme & | varClrSch )
| private

Referenced by readVariationClrSchemeLst().

## ◆ readVariationClrSchemeLst()

void libvisio::VSDXTheme::readVariationClrSchemeLst | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by readClrScheme().

## ◆ skipUnimplemented()

void libvisio::VSDXTheme::skipUnimplemented | ( | xmlTextReaderPtr | reader,
|  | int | idToken )
| private

Referenced by readFillStyleLst().

## Member Data Documentation

## ◆ m_clrScheme

VSDXClrScheme libvisio::VSDXTheme::m_clrScheme
| private

Referenced by getThemeColour(), readClrScheme(), readVariationClrSchemeLst(), and VSDXTheme().

## ◆ m_fillStyleLst

std::vector<boost::optional<Colour> > libvisio::VSDXTheme::m_fillStyleLst
| private

Referenced by getFillStyleColour(), readFillStyleLst(), and VSDXTheme().

## ◆ m_fontScheme

VSDXFontScheme libvisio::VSDXTheme::m_fontScheme
| private

Referenced by readFontScheme(), and VSDXTheme().

The documentation for this class was generated from the following files:

- VSDXTheme.h
- VSDXTheme.cpp